<template>
  <div data-name="template-container"
    class="card">

    <div class="card-header">
      <h2>Bid4Meal</h2>
    </div>

    <div class="card-body" data-name="main-body">
    
      <div class="card" data-name="booking-info">
        <div class="card-header bg-info text-white">
          <h3><i class="fas fa-info-circle"></i> Booking info</h3>
        </div>
        <div class="card-body">
          <i class="fas fa-tag"></i> <b> Locator: </b><b class="text-secondary">{{booking.recordLocator}}</b> <br>
          <i class="far fa-eye"></i> <b> Status: </b><b class="text-secondary">{{booking.status}}</b> <br>
          <i class="fas fa-globe-americas"></i> <b> Culture: </b> <b class="text-secondary">{{booking.culture}}</b>
        </div>
      </div> <!-- EndOf booking-info -->
      
      <div class="card" data-name="passengers-info">
        <div class="card-header bg-secondary text-white">
          <h3><i class="fas fa-male"></i> <i class="fas fa-female"></i> <i class="fas fa-child h5"></i>Passengers</h3>
        </div>
        <div class="card-body">
          <ul class="list-group list-group-flush">
            <li class="list-group-item"
              v-for="(item, index) in booking.passengers" :key="item.firstName+index">
              <passenger-info v-bind:passenger="item"></passenger-info>
            </li>
          </ul>
        </div>
      </div>  <!-- EndOf passengers-info -->
      
      <div class="card" data-name="journeys-info">
        <div class="card-header text-white">
          <h3> <i class="fas fa-plane"></i> Journeys</h3>
        </div>
        <div class="card-body">
          <ul class="list-group list-group-flush">
            <li class="list-group-item"
              v-for="(item, index) in booking.journeys" :key="item.departure+item.arrival+index">
              <i class="fas fa-plane"></i> <b> Flight: </b> {{item.flight}} <br>
              <i class="fas fa-plane-departure text-primary"></i> <b> Departure: </b> <i class="fas fa-map-marker-alt text-secondary"></i> {{item.departure}} 
              <i class="far fa-calendar-check text-secondary"></i> {{formatDate(item.departureDate)}}<br>
              <i class="fas fa-plane-arrival text-success"></i> <b> Arrival: </b> <i class="fas fa-map-marker-alt text-secondary"></i> {{item.arrival}} 
              <i class="far fa-calendar-check text-secondary"></i> {{formatDate(item.departureDate)}}<br>
              <editorFor_MealBid v-bind:journeyKey="item.key" 
                v-on:updated:amount="_handle_mealAmountUpdated"
                v-on:selected:item="_handle_mealSelected"
                v-on:removed:item="_handle_mealRemoved"></editorFor_MealBid>
            </li>
          </ul>
        </div>
      </div> <!-- EndOf journeys-info -->
      
      <div class="card" data-name="commands">
        <div class="card-body" v-bind:class="{ 'bg-light': continue_enabled }">
          <button type="button" class="btn btn-outline-primary" v-on:click="_continue" v-if="continue_enabled">
            <i class="fas fa-check-circle"></i> Continue
          </button>
          <div class="alert alert-warning" role="alert" v-else>
            Put some <b>amount</b> in any meal bid to <b>continue</b>
          </div>
        </div>
      </div>  <!-- EndOf commands -->
      
    </div> <!-- EndOf main-body -->
    
    <!-- Modal for selection-->
    <div class="modal fade" id="modalFor_Selecion" tabindex="-1" role="dialog" aria-labelledby="modalFor_Selecion" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title"><i class="fas fa-paper-plane"></i> Selection data</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div class="card">
              <div class="card-body">
                <textarea rows="15" cols="50" v-model="selection_data">
                </textarea>
              </div>
            </div>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
          </div>
        </div>
      </div>
    </div> <!-- EndOf Modal for selection-->
    

  </div>
</template>

<script src="./b4m-request.js"></script>
<style src="./b4m-request.css" scoped="scoped"></style>
